"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Mail = void 0;
const nodemailer = require("nodemailer");
class Mail {
    constructor(options) {
        this.options = options;
        this.transporter = nodemailer.createTransport(Object.assign({}, this.options));
    }
    /**
     * Create a mail client
     *
     * @param options mail config
     */
    static create(options) {
        return new Mail(options);
    }
    /**
     * Alias of create
     *
     * @param options mail config
     */
    static createClient(options) {
        return this.create(options);
    }
    /**
     * send mail method
     *
     * @param mail content
     */
    send({ to, subject, content }) {
        return __awaiter(this, void 0, void 0, function* () {
            const { options } = this;
            const _data = {
                from: `${options.auth.user}<${options.auth.user}>`,
                to,
                subject,
                html: content,
            };
            return yield this.transporter.sendMail(_data);
        });
    }
}
exports.Mail = Mail;
exports.default = Mail;
//# sourceMappingURL=core.js.map