"use strict";
/**
 * nodemailer发送邮件各个服务器接口
 *  - article: https://www.huaweicloud.com/articles/0daf3f27118904d5a2ae4f2c784e10b0.html
 *  - services: https://github.com/nodemailer/nodemailer-wellknown/blob/master/services.json
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.createClientByProvider = void 0;
const qqex_1 = require("./qqex");
const qq_1 = require("./qq");
const aliyun_1 = require("./aliyun");
const outlook_1 = require("./outlook");
const gmail_1 = require("./gmail");
const _126_1 = require("./126");
const _163_1 = require("./163");
const providers = {
    qqex: qqex_1.default,
    qq: qq_1.default,
    aliyun: aliyun_1.default,
    outlook: outlook_1.default,
    gmail: gmail_1.default,
    wy126: _126_1.default,
    wy163: _163_1.default,
};
function createClientByProvider(type, user) {
    if (!providers.hasOwnProperty(type)) {
        throw new Error(`Unsupport mail provider: ${type}, only support ${Object.keys(providers).join(',')}`);
    }
    return providers[type].createClient(user);
}
exports.createClientByProvider = createClientByProvider;
exports.default = providers;
//# sourceMappingURL=index.js.map